Subject: [DOC] wrong number regarding multiple upload fields
Description

Though this is small, the docs state that 

<f:form.upload property="attachments.0.originalResource" />
<f:form.upload property="attachments.1.originalResource" />

translates to

<input type="file" name="formObject[attachments][0][originalResource]">
<input type="file" name="formObject[attachments][0][originalResource]">

Obviously, this is not the case. Second index is 1.

Associated revisions
Revision d4448a68 - 2013-07-19 13:30 - Cedric Ziel

[BUGFIX] Fix index number regarding upload fields in definitiv guide

The docs state a wrong number on the generated tags.

Though this is small, the docs state that

<f:form.upload property="attachments.0.originalResource" />
<f:form.upload property="attachments.1.originalResource" />

translates to
<input type="file" name="formObject[attachments][0][originalResource]">
<input type="file" name="formObject[attachments][0][originalResource]">

Obviously, this is not the case. Second index is 1.

Change-Id: I8a57567531243ab4cfd14a05dbda1759fb648a97
Resolves: #50181
Releases: master
History
#1 - 2013-07-19 13:25 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22416

#2 - 2013-07-19 13:30 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22416

#3 - 2013-07-21 20:37 - Cedric Ziel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d4448a680e46d7a5849743900624acc837293f46.
